body {
    font-family: "Kanit", sans-serif;
}

main {
    flex: 1; /* ทำให้ main ยืดออกเพื่อดัน footer ไปด้านล่าง */
}

.background_menu1 {
    height: 100px;
    background-color: #f28b20;
    width: 100%;
}

.background_menu2 {
    background-color: white;
    width: 100%;
    height: max-content;
}

.logo {
    width: auto;
    height: 100px;
    display: flex;
    background-size: cover;
}

.text-menu {
    display: flex;
    align-items: baseline;
    padding-left: 5px;
    padding-right: 5px;
}

.text-menu a {
    font-size: 20px;
    margin-left: 10px;
    margin-right: 10px;
    color: black;
    margin-bottom: auto;
}

.inactive {
    position: relative;
    transition: color 0.5s ease;
}

.inactive::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 3px; /* ความหนาของเส้นขอบ */
    background-color: transparent; /* สีเริ่มต้นของเส้นขอบ */
    transition: background-color 0.5s ease, color 0.5s ease;
}

.inactive:hover {
    color: #752f8b;
}

.inactive:hover::after {
    background-color: #752f8b; /* สีเมื่อ hover */
}

.underline {
    margin: auto;
    width: 100%;
    height: 10px;
    display: block;
    background-color: aqua;
}

.home {
    display: flex;
    text-align: center;
}

@media (min-width: 1024px) and (max-width: 1440px) {
    .menu {
        padding-left: 1rem;
    }

    .text-menu a {
        font-size: 18px;
    }
}

@media (min-width: 769px) and (max-width: 1030px) {
    .menu {
        padding-left: 1rem;
    }

    .text-menu a {
        font-size: 12px;
    }
}

@media (max-width: 768px) {
    .menu {
        padding-left: 0;
    }
    .text-menu a {
        font-size: 12px;
    }
}
